'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var preact = require('preact');
var reshapePreactComponents = require('reshape-preact-components');
var marked = _interopDefault(require('marked'));

function VerticalTextBlockList(_ref) {
  var _data = _ref._data,
      center_text = _ref.center_text,
      _state = _ref._state;

  var data = reshapePreactComponents.decode(_data);
  return preact.h(
    'div',
    { 'class': 'g-vertical-text-block-list', 'data-state': _state },
    preact.h(
      'ul',
      { 'class': 'list' + (center_text ? ' centered-text' : '') },
      data.map(function (item, index) {
        return preact.h(
          WithLink,
          { link: item.link_url, key: 'block-' + index },
          preact.h(
            'div',
            { 'class': 'header' },
            item.logo ? preact.h('img', { src: item.logo.url, alt: item.logo.alt }) : preact.h(
              'h6',
              null,
              item.header
            )
          ),
          preact.h('div', {
            'class': 'body-text',
            dangerouslySetInnerHTML: {
              __html: marked.inlineLexer(item.body, [])
            }
          })
        );
      })
    )
  );
}

var WithLink = function WithLink(_ref2) {
  var link = _ref2.link,
      children = _ref2.children;
  return link ? preact.h(
    'li',
    null,
    preact.h(
      'a',
      { 'class': 'wrapper', href: link },
      children
    )
  ) : preact.h(
    'li',
    null,
    preact.h(
      'div',
      { 'class': 'wrapper' },
      children
    )
  );
};

module.exports = VerticalTextBlockList;
