import { h } from 'preact'
import { decode } from 'reshape-preact-components'
import marked from 'marked'

function VerticalTextBlockList({ _data, center_text, _state }) {
  const data = decode(_data)
  return (
    <div class="g-vertical-text-block-list" data-state={_state}>
      <ul class={`list${center_text ? ' centered-text' : ''}`}>
        {data.map((item, index) => (
          <WithLink link={item.link_url} key={`block-${index}`}>
            <div class="header">
              {item.logo ? (
                <img src={item.logo.url} alt={item.logo.alt} />
              ) : (
                <h6>{item.header}</h6>
              )}
            </div>
            <div
              class="body-text"
              dangerouslySetInnerHTML={{
                __html: marked.inlineLexer(item.body, [])
              }}
            />
          </WithLink>
        ))}
      </ul>
    </div>
  )
}

const WithLink = ({ link, children }) =>
  link ? (
    <li>
      <a class="wrapper" href={link}>
        {children}
      </a>
    </li>
  ) : (
    <li>
      <div class="wrapper">{children}</div>
    </li>
  )

export default VerticalTextBlockList
