import { expect } from 'chai'
import VerticalTextBlockList from './index'
import propsSpec from './props'

testComponent(
  () => VerticalTextBlockList,
  { props: propsSpec },
  ({ renderDeep, testTagAndClass, propValue }) => {
    testTagAndClass('div', 'g-vertical-text-block-list')

    it('should render the correct number of list items', () => {
      const wrapper = renderDeep()

      expect(wrapper.find('.list').find('li').length).to.equal(
        propValue('_data').length
      )
    })

    it('should render a list item with a wrapping link if link_url is present', () => {
      const wrapper = renderDeep()
      expect(
        wrapper
          .find('li')
          .find('a')
          .first()
          .attr('href')
      ).to.equal(propValue('_data').find(x => x.link_url).link_url)
    })

    it('should render a list item with a wrapping div if link_url is NOT present', () => {
      const wrapper = renderDeep(
        {
          _data: [
            {
              header: 'Header',
              body: 'Body'
            }
          ]
        },
        true
      )

      expect(wrapper.find('.wrapper')[0].nodeName).to.equal('div')
    })
  }
)
